Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 2238868 - perl-autodie required for cpuinfo2cpuid command
Summary: perl-autodie required for cpuinfo2cpuid command
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: cpuid
Version: 37
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Fabian Affolter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2023-09-13 23:46 UTC by Steve
Modified: 2023-12-19 02:18 UTC (History)
1 user (show)

Fixed In Version: cpuid-20230614-2.fc40 cpuid-20230614-2.el9 cpuid-20230614-2.fc39 cpuid-20230614-2.fc38
Doc Type: ---
Doc Text:
Clone Of:
Environment:
Last Closed: 2023-12-10 10:56:10 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)

Description Steve 2023-09-13 23:46:30 UTC
Need to require perl-autodie:

$ cpuinfo2cpuid --help
Can't locate autodie.pm in @INC (you may need to install the autodie module) (@INC contains: /usr/local/lib64/perl5/5.36 /usr/local/share/perl5/5.36 /usr/lib64/perl5/vendor_perl /usr/share/perl5/vendor_perl /usr/lib64/perl5 /usr/share/perl5) at /usr/bin/cpuinfo2cpuid line 3.
BEGIN failed--compilation aborted at /usr/bin/cpuinfo2cpuid line 3.


Reproducible: Always

Steps to Reproduce:
1. Install cpuid.
2. Run:
$ cpuinfo2cpuid --help

Actual Results:  
See above.

Expected Results:  
$ cpuinfo2cpuid --help
Usage:
    cpuinfo2cpuid
...


The workaround is to manually install:

$ sudo dnf install perl-autodie

$ rpm -qa cpuid perl-autodie
cpuid-20230505-1.fc37.x86_64
perl-autodie-2.34-490.fc37.noarch

Comment 1 Aoife Moloney 2023-11-23 01:50:19 UTC
This message is a reminder that Fedora Linux 37 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora Linux 37 on 2023-12-05.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
'version' of '37'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, change the 'version' 
to a later Fedora Linux version. Note that the version field may be hidden.
Click the "Show advanced fields" button if you do not see it.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora Linux 37 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora Linux, you are encouraged to change the 'version' to a later version
prior to this bug being closed.

Comment 2 Fedora Update System 2023-12-10 10:53:21 UTC
FEDORA-2023-1be6efc3a2 has been submitted as an update to Fedora 40. https://bodhi.fedoraproject.org/updates/FEDORA-2023-1be6efc3a2

Comment 3 Fedora Update System 2023-12-10 10:56:10 UTC
FEDORA-2023-1be6efc3a2 has been pushed to the Fedora 40 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 4 Fedora Update System 2023-12-10 11:21:33 UTC
FEDORA-2023-3006a4d98a has been submitted as an update to Fedora 38. https://bodhi.fedoraproject.org/updates/FEDORA-2023-3006a4d98a

Comment 5 Fedora Update System 2023-12-10 11:30:59 UTC
FEDORA-2023-36d76fa487 has been submitted as an update to Fedora 39. https://bodhi.fedoraproject.org/updates/FEDORA-2023-36d76fa487

Comment 6 Fedora Update System 2023-12-10 11:47:53 UTC
FEDORA-EPEL-2023-c5f7c77863 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-c5f7c77863

Comment 7 Fedora Update System 2023-12-11 01:24:28 UTC
FEDORA-2023-3006a4d98a has been pushed to the Fedora 38 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-3006a4d98a`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-3006a4d98a

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2023-12-11 01:34:30 UTC
FEDORA-2023-36d76fa487 has been pushed to the Fedora 39 testing repository.
Soon you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --refresh --advisory=FEDORA-2023-36d76fa487`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2023-36d76fa487

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2023-12-11 01:35:27 UTC
FEDORA-EPEL-2023-c5f7c77863 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2023-c5f7c77863

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2023-12-19 00:37:34 UTC
FEDORA-EPEL-2023-c5f7c77863 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2023-12-19 01:11:40 UTC
FEDORA-2023-36d76fa487 has been pushed to the Fedora 39 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2023-12-19 02:18:46 UTC
FEDORA-2023-3006a4d98a has been pushed to the Fedora 38 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.